Subject: nnimap and gnus-agent-unmark-article

From: Gijs Hillenius <[email-masked]>
Date: Thu, 13 Jun 2013 18:13:20 +0200

Hello dear Gnus developers!

I regularly accidentally marked an article % (don't ask why, but, if you
must know: I'm a klutz sometimes).

I unmark them using the recipe "J M-#" (gnus-agent-unmark-article) but
it does not work. That is to say, it works once, but the next time I
open that nnimap.INBOX.folder I see the mail markes % again. 

I just found that if I do J M-# and then also "move" the message to the
nnmimap.INBOX.folder, the mark really disappears.

Gnus v5.13
GNU Emacs 24.3.50.1 (i486-pc-linux-gnu, GTK+ Version 3.8.2)
 of 2013-06-11 on dex, modified by Debian
200 news2.news.xs4all.nl NNRP Service Ready - [email-masked] (posting ok).
100 Legal commands
  article [MessageID|Number]
  body [MessageID|Number]
  date 
  head [MessageID|Number]
  help 
  ihave 
  mode reader|stream
  slave 
  quit 
  group newsgroup
  last 
  next 
  list [active|active.times|newsgroups|extensions|distributions|distrib.pats|moderators|overview.fmt|subscriptions]
  listgroup newsgroup
  newgroups yymmdd hhmmss ["GMT"] [<distributions>]
  post 
  stat [MessageID|Number]
  xgtitle [group_pattern]
  xhdr header [range|MessageID]
  hdr header [range|MessageID]
  over [range]
  xover [range]
  xzver [range]
  xpat header range|MessageID pat
  xpath MessageID
  xnumbering rfc3977|rfc977|window
  authinfo user Name|pass Password
.